%define	_name	gmic

Name:		%{_name}-gimp
Version:	1.5.0.8
Release:	%mkrel 1
Group:		Graphics
# CeCILL version 2.0
License:	CeCILL
Summary:	A script language (G'MIC) dedicated to image processing
Url:		http://gmic.sourceforge.net
Source:		http://sourceforge.net/projects/gmic/files/%{_name}_1.5.0.8.tar.gz
Patch:		%{_name}-makefile.patch
Patch0:		%{_name}-configure.patch

BuildRequires:	opencv-devel
BuildRequires:	fftw-devel
BuildRequires:	gimp-devel

Requires:	gimp

Provides:	gimp-plugin-%{_name} = %{version}-%{release}

%description
G'MIC has been made available as an easy-to-use plug-in for GIMP.
It extends this retouching software capabilities by offering a large number of 
pre-defined image filters and effects. 
Of course, the plug-in is highly customizable and it is possible to add your
own custom G'MIC-written filters in it.

%prep
%setup -q -n %{_name}-%{version}
%patch -b .makefile
%patch0 -b .configure

sed -i -e "s|@LIB@|%{_lib}|g" src/Makefile

%build
%configure
%make

%install
rm -fr %{buildroot}
%makeinstall_std

%files
%doc COPYING AUTHORS README
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{_name}
%{_bindir}/%{_name}
%{_libdir}/gimp/2.0/plug-ins/%{_name}_gimp
%{_libdir}/lib%{_name}.so.1
%{_libdir}/lib%{_name}.so.1.5.0.8
%{_mandir}/man1/%{_name}.1.*
%{_mandir}/fr/man1/gmic.1.*

%package devel
Summary:	Header file for gmic
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

Provides:	%{_name}-devel = %{version}-%{release}

%description devel
%{summary}

%files devel
%{_includedir}/%{_name}.h


%changelog

* Wed Jan 18 2012 matteo <matteo> 1.5.0.8-1.mga2
+ Revision: 197882
- fixed makefile patch libdir
- fixed description
- fixed missing Url
- imported package gmic-gimp

